#include <cadef.h>
#include <stdio.h>

#define EXPORT
#define __stdcall

void __attribute__((constructor)) extlibLoad(void);
void __attribute__((destructor)) extlibUnload(void);

void extlibLoad(void) {
	int result = ECA_NORMAL;
	result = ca_context_create(ca_enable_preemptive_callback);
	//result = ca_context_create(ca_disable_preemptive_callback);
	if(result == ECA_NORMAL)
		printf("context successfully created\n");
	else
		printf("create context failed with error code %d\n",result);
}

void extlibUnload(void) {
	printf("ca_context_destroy\n");
	ca_context_destroy();
}

extern "C" EXPORT void anyfunction() {
	printf("Hello? anyfunction here\n");
	return;
}

